# source https://github.com/protobuf-c/protobuf-c/releases/download/v1.2.1/protobuf-c-1.2.1.tar.gz

%global major 1
%global libname	  %mklibname %{name}_ %{major}
%global develname %mklibname %{name} -d

Name:           protobuf-c
Version:        1.4.0
Release:        %mkrel 1
Summary:        Protocol Buffers implementation in C

License:        BSD
Group:		Networking/Other
URL:            https://github.com/protobuf-c/protobuf-c
Source0:        %{name}-%{version}.tar.xz

BuildRequires:  %{_lib}protobuf-devel >= 2.6.0

%description
%{summary}.

%package -n %{libname}
Summary:        Protocol Buffers implementation in C
Group:          Networking/Other
License:        BSD
Provides:       lib%{name} = %{version}-%{release}

%description -n %{libname}
%{name} libraries.

%files -n %{libname}
%doc ChangeLog LICENSE README.md
%{_bindir}/protoc-c
%{_bindir}/protoc-gen-c
%{_libdir}/lib%{name}.so.%{major}*

%package -n %{develname}
Summary:        Protocol Buffers implementation in C
Group:          Networking/Other
License:        new BSD
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for %{name}.

%files -n %{develname}
%{_includedir}/google
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc

%prep
%setup -q
%{apply_patches}

%build
%configure2_5x --disable-static
%make_build

%install
%makeinstall_std
find %{buildroot} -name '*.la' -delete

%changelog
* Wed Sep 29 2021 tex - 1.4.0-1pclos2021
- new version

* Wed Sep 29 2021 tex - 1.3.3-2pclos2021
- rebuild against updates

* Mon Apr 13 2020 tex - 1.3.3-1pclos2020
- new version

* Fri Jul 05 2019 tex - 1.3.2-1pclos2019
- new version

* Sun Mar 03 2019 pp <pp> 1.3.1-1pclos2019
- update

* Sat Jan 28 2017 marcin82 <marcin82 at vp.pl> 1.2.1-1pclos2017
- initial build for PCLinuxOS
